<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>ElementFactory xref</title>
<link type="text/css" rel="stylesheet" href="../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../apidocs/model/Element/ElementFactory.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_comment"> */</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <strong class="jxr_keyword">package</strong> model.Element;
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_comment">// TODO: Auto-generated Javadoc</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment"> * A factory for creating Element objects.</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">abstract</strong> <strong class="jxr_keyword">class</strong> <a href="../../model/Element/ElementFactory.html">ElementFactory</a> {
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  	<em class="jxr_javadoccomment">/** The Rock. */</em>
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <a href="../../model/Element/Rock.html">Rock</a> <a href="../../model/Element/Rock.html">Rock</a> = <strong class="jxr_keyword">new</strong> <a href="../../model/Element/Rock.html">Rock</a>();
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  	<em class="jxr_javadoccomment">/** The Empty. */</em>
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <a href="../../model/Element/Empty.html">Empty</a> <a href="../../model/Element/Empty.html">Empty</a> = <strong class="jxr_keyword">new</strong> <a href="../../model/Element/Empty.html">Empty</a>();
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  	<em class="jxr_javadoccomment">/** The Enemy. */</em>
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <a href="../../model/Element/Enemy.html">Enemy</a> <a href="../../model/Element/Enemy.html">Enemy</a> = <strong class="jxr_keyword">new</strong> <a href="../../model/Element/Enemy.html">Enemy</a>();
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  	<em class="jxr_javadoccomment">/** The Exit. */</em>
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <a href="../../model/Element/Exit.html">Exit</a> <a href="../../model/Element/Exit.html">Exit</a> = <strong class="jxr_keyword">new</strong> <a href="../../model/Element/Exit.html">Exit</a>();
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  	<em class="jxr_javadoccomment">/** The Ground. */</em>
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <a href="../../model/Element/Ground.html">Ground</a> <a href="../../model/Element/Ground.html">Ground</a> = <strong class="jxr_keyword">new</strong> <a href="../../model/Element/Ground.html">Ground</a>();
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  	<em class="jxr_javadoccomment">/** The Player. */</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <a href="../../model/Element/Player.html">Player</a> <a href="../../model/Element/Player.html">Player</a> = <strong class="jxr_keyword">new</strong> <a href="../../model/Element/Player.html">Player</a>();
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  	<em class="jxr_javadoccomment">/** The Wall. */</em>
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <a href="../../model/Element/Wall.html">Wall</a> <a href="../../model/Element/Wall.html">Wall</a> = <strong class="jxr_keyword">new</strong> <a href="../../model/Element/Wall.html">Wall</a>();
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  	<em class="jxr_javadoccomment">/** The Diamond. */</em>
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <a href="../../model/Element/Diamond.html">Diamond</a> <a href="../../model/Element/Diamond.html">Diamond</a> = <strong class="jxr_keyword">new</strong> <a href="../../model/Element/Diamond.html">Diamond</a>();
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  	<em class="jxr_javadoccomment">/** The element. */</em>
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">static</strong> <a href="../../model/Element/Element.html">Element</a>[] element = { ElementFactory.Rock, ElementFactory.Diamond, ElementFactory.Enemy,
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  			ElementFactory.Player, ElementFactory.Empty, ElementFactory.Ground, ElementFactory.Exit,
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  			ElementFactory.Wall };
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  <em class="jxr_javadoccomment">	 * Gets the object.</em>
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  <em class="jxr_javadoccomment">	 * @param object the object</em>
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  <em class="jxr_javadoccomment">	 * @return the object</em>
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <a href="../../model/Element/Element.html">Element</a> getObject(String object) {
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  		<strong class="jxr_keyword">for</strong> (<strong class="jxr_keyword">final</strong> Element Element : ElementFactory.element) {
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  			<strong class="jxr_keyword">if</strong> (Element.getSprite().compareTo(object + <span class="jxr_string">".jpg"</span>) == 0) {
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  				<strong class="jxr_keyword">return</strong> Element;
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  			}
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  		}
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  		<strong class="jxr_keyword">return</strong> ElementFactory.Empty;
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  	}
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2019. All rights reserved.</div>
</body>
</html>
